Subject: Re: [PATCH v3 5/9] i2c: at91: add support for digital filtering

From: Wolfram Sang <[email-masked]>
Date: Sat, 31 Aug 2019 14:17:51 +0200

> > +	dev->enable_dig_filt = of_property_read_bool(pdev->dev.of_node,
> > +						     "i2c-dig-filter");
> > +
> 
> What do you think of the idea to introduce 'flags' to struct i2c_timings
> and parse the bindings in the core, too? Then you'd have sth like:
> 
> 	if (t->flags & I2C_TIMINGS_ANALOG_FILTER)
> 
> Would that be useful for you?

Forgot to say, we can also implement this incrementally to make sure
your patches land in 5.4 in case you are currently busy with sth else.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel